Download attachment
curl --request GET \
--url https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download \
--header 'x-api-key: <api-key>'import requests
url = "https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=...",
"url": "https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=...",
"file_url": "https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=..."
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}Attachments
Download attachment
Get a signed URL for downloading an attachment. The URL is valid for one hour.
GET
/
applications
/
attachments
/
{id}
/
download
Download attachment
Authorizations
Your Leap API key. Send it in the x-api-key header: x-api-key: leap_live_....
Path Parameters
Attachment ID
Query Parameters
Application ID that the attachment belongs to.
Response
Successfully retrieved download URL
Signed download URL (valid for 1 hour)
Example:
"https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=..."
Signed download URL (same as downloadUrl, for compatibility)
Example:
"https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=..."
Signed download URL (same as downloadUrl, for compatibility)
Example:
"https://<storage-host>/attachments/app-123/<uuid>-invoice.pdf?token=..."
Was this page helpful?